/*jslint continue: true, plusplus: true, maxerr: 50, maxlen: 80, indent: 2 */
var mojo = mojo || {};

// common js
if (typeof require === 'function' && typeof exports === 'object') {
  mojo = require('./m.js').mojo; 
}

mojo.input = {
  getChord: function (chord) {
    var a, o;
    if (chord.indexOf(',') > 0) {
      // object
      if (chord.indexOf(':') > 0) {
        chord = chord.replace(/:/g, '":"').replace(/,/g, '","');
        chord = '{"' + chord + '"}';
        o = JSON.parse(chord);
        chord = mojo.guitar.chordByFrets(o);
      } else {
        // try array
        chord = '["' + chord.split(',').join('","') + '"]';
        a = JSON.parse(chord);
        if (typeof a === 'object') {
          chord = mojo.reverseChord(a);
        }
      }
      if (chord) {
        chord = chord.short;
      }
    }
    return chord;
  }
};

// common js
if (typeof exports === 'object') {
  exports.input = mojo.input;
}