var els = {};

function initEls() {
  els.chordname = document.getElementById('chordname');
  els.variant = document.getElementById('chordvariant');
  els.result = document.getElementById('result');
  els.root = document.getElementById('root');
  els.tones = document.getElementById('tones');
  els.frets = document.getElementById('fretspanel');
  els.img = document.getElementById('imresult');
}

window.onload = function () {
  var 
    popup,
    list1, list2,
    i,
    item;
  
  initEls();
              
  popup = els.chordname.firstChild;
  list1 = els.root;
  list2 = els.tones;
  for (i = 0; i < mojo.prettytones.length; i++) {
    item = document.createElement("menuitem");
    item.setAttribute("label", mojo.prettytones[i]);
    popup.appendChild(item);
    item = document.createElement("listitem");
    item.setAttribute("label", mojo.prettytones[i]);
    list1.appendChild(item);
    item = document.createElement("listitem");
    item.setAttribute("label", mojo.prettytones[i]);
    list2.appendChild(item);
  }
  
  popup = els.variant.firstChild;
  for (i = 0; i < mojo.allchords.length; i++) {
    item = document.createElement("menuitem");
    item.setAttribute("label", mojo.allchords[i]);
    popup.appendChild(item);
  }

  els.chordname.selectedIndex = 0;
  els.variant.selectedIndex = 0;
  byname();

};

function byname() {
  var name, type, res;
  name = els.chordname.selectedItem.label.split('/')[0];
  type = els.variant.selectedItem.label;
  result(name + type, mojo.getChordData(type).name);
}

function bytone() {
  var tones = [], i, name, res;
  tones.push(els.root.selectedItem.label.split('/')[0]);
  for (i = 0; i < els.tones.selectedItems.length; i++) {
    tones.push(els.tones.selectedItems[i].label.split('/')[0]);
  }

  name = mojo.reverseChord(tones);
  if (!name) {
    return jazz();
  }
  result(name.short, name.name);
}

function byfret() {
  var i, name, frets = {}, ins, res;  
  ins = els.frets.getElementsByTagName('textbox');
  for (i = 0; i < ins.length; i++) {
    frets[i + 1] = ins[i].value;

  }
  name = mojo.guitar.chordByFrets(frets);
  if (!name) {
    return jazz();
  }
  result(name.short, name.name);
}

function result(name, desc) {
  //res = mojo.guitar.printChord(name, 'tab');
  //els.result.innerHTML = name;// + '\n' + res; 
  els.result.value = name + ' (' + desc + ')'; 
  els.img.setAttribute('src', 'images/' + name.replace('#', '-sharp') + '.png');
}
function jazz() {
  els.result.innerHTML = 'oh, jazzy!'; 
}