var arg, chord, mojo;

arg = process.argv[2];

if (!arg) {
  quitme();
}

mojo =       require('../../../lib/m.js').mojo;
mojo.input = require('../../../lib/in.js').input;

chord = mojo.input.getChord(arg);

if (!chord) {
  quitme('Oh jazzy, I dunno this chord');
}
console.log(' ' + chord);
console.log(mojo.guitar.printChord(chord, 'tab'));

// help + quit
function quitme(m) {
  var cmd;
  if (m) {
    console.log(m);
  }
  console.log('usage:...');

  cmd = '$ node mojotune.js ';

  console.log(cmd + 'Am7');
  console.log(cmd + 'A,C,E,G');
  console.log(cmd + '1:0,2:1,3:2,4:2,5:0,6:x');
  process.exit(1);

}
