import System;
import System.Windows.Forms;
import System.Drawing;
import Accessibility;
import LibMojo;

class MojoForm extends Form {
    var lbl;
    var inp;
    var but;
    var res;
    var panel;
    var mojo = new LibMojo.Chords().getInstance();

    function clickHandle(o : Object, e : EventArgs) {
        res.Text = mojo.guitar.printChord(inp.Text, 'tab');
    }

    function MojoForm() {
        this.Text= "Mojotune chords";
        this.ClientSize= new System.Drawing.Size(300,180);
        this.StartPosition= FormStartPosition.CenterScreen;
        this.Icon = new System.Drawing.Icon("mojo.ico");

        lbl = new Label;
        lbl.Location= new Point(10,12);
        lbl.Size= new System.Drawing.Size(100,20);
        lbl.Name= "lbl";
        lbl.Text= "Enter chord name:";

        inp = new TextBox;
        inp.Location= new Point(110,10);
        inp.Size = new System.Drawing.Size(90,20);
        inp.Name= "inp";
        inp.Text = "Am";

        but= new Button;
        but.Location= new Point(210,10);
        but.Size= new System.Drawing.Size(70,20);
        but.Name= "but";
        but.Text= "Show me";
        but.add_Click(clickHandle);

        res = new Label;
        res.Location= new Point(10,50);
        res.Size= new System.Drawing.Size(280,200);
        res.Name= "result";
        res.Font = new System.Drawing.Font("Courier New", 13, System.Drawing.FontStyle.Bold);
        res.Text= mojo.guitar.printChord('Am', 'tab');

        panel= new Panel;
        panel.Location= new Point(0,0);
        panel.Size= new System.Drawing.Size(300,180);

        panel.Controls.Add(lbl);
        panel.Controls.Add(inp);
        panel.Controls.Add(but);
        panel.Controls.Add(res);

        this.Controls.Add(panel);

    }
}


Application.Run(new MojoForm());