// this sets the background color of the master UIView (when there are no windows/tab groups on it)
Titanium.UI.setBackgroundColor('#000');

// create tab group
var tabGroup = Titanium.UI.createTabGroup();

// create base UI tab and root window
var win = Titanium.UI.createWindow({
	title:'Mojotune chords',
	backgroundColor:'#fff',
	tabBarHidden: true
});
var useless = Titanium.UI.createTab({
	window: win
});

// our drilldown menu goes here

// add tabs
tabGroup.addTab(useless); 

// open tab group
tabGroup.open();


// create table view
var data = [
	{title:'I know the Name',  hasChild:true, handle:'byname.js', ttitle: 'By Name'},
	{title:'I have the Tones', hasChild:true, handle:'bytones.js', ttitle: 'By Tones'},
	{title:'I\'ll show you Frets', hasChild:true, handle:'byfrets.js', ttitle: 'By Frets'},
];

var tableview = Titanium.UI.createTableView({
	style:Titanium.UI.iPhone.TableViewStyle.GROUPED, 
	data: data
});


 // create table view event listener
tableview.addEventListener('click', function(e)
{
	if (e.rowData.handle)
	{
		var win = Titanium.UI.createWindow({
			url:e.rowData.handle,
			title:e.rowData.ttitle
		});
		useless.open(win,{animated:true});
	}
});


win.add(tableview);
